set runtimepath^=~/.vim runtimepath+=~/.vim/after
let &packpath=&runtimepath
source ~/.vimrc

call plug#begin()
" Plug 'ellisonleao/gruvbox.nvim'
Plug 'folke/tokyonight.nvim'
" Plug 'nvim-lua/plenary.nvim'
" Plug 'nvim-tree/nvim-web-devicons'
" Plug 'MunifTanjim/nui.nvim'
" Plug 'nvim-neo-tree/neo-tree.nvim', { 'branch': 'v3.x' }
Plug 'lewis6991/gitsigns.nvim' " OPTIONAL: for git status
" Plug 'nvim-tree/nvim-web-devicons' " OPTIONAL: for file icons
" Plug 'neovim/nvim-lspconfig'
Plug 'nvim-treesitter/nvim-treesitter', {'do': ':TSUpdate'}
Plug 'xiyaowong/transparent.nvim'
" Plug 'justinhj/battery.nvim'
" Plug 'MunifTanjim/nui.nvim'
" Plug 'rcarriga/nvim-notify'
" Plug 'folke/noice.nvim'
Plug 'luukvbaal/statuscol.nvim'
Plug 'j-hui/fidget.nvim'
Plug 'iamcco/markdown-preview.nvim', { 'do': { -> mkdp#util#install() }, 'for': ['markdown', 'vim-plug']}
Plug 'Pocco81/auto-save.nvim'
call plug#end()

if exists("g:neovide")
	set guifont=JetBrains_Mono:h13:cANSI:qDRAFT
endif

set termguicolors
colo gruv
set noshowmode
set laststatus=3
set cmdheight=1
"set foldcolumn=1

set statusline+=%#StatusLineMain#%{%v:lua.require('plugins.statusline').statusline()%}%*
"set winbar=%{%v:lua.require('plugins.statusline').winbar()%}

au InsertEnter * hi StatusLineMode gui=bold,reverse cterm=bold,reverse
au InsertLeave * hi statuslineMode gui=bold cterm=bold

" .config/nvim/lua/init.lua
lua require('init')
